Index: main/plugin-explorer/i18n/messages_en.xml
===================================================================
--- main/plugin-explorer/i18n/messages_en.xml	(revision 31097)
+++ main/plugin-explorer/i18n/messages_en.xml	(working copy)
@@ -50,10 +50,12 @@
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_CALENDAR_DESCRIPTION">Allow to delete a calendar</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_ADD_EVENT_LABEL">Add an event</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_EDIT_EVENT_LABEL">Edit an event</message>
-    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_LABEL">Delete an event</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_LABEL">Delete any event</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_OWNED_EVENT_LABEL">Deleted owned events only</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_ADD_EVENT_DESCRIPTION">Allow to add an event</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_EDIT_EVENT_DESCRIPTION">Allow to edit an event</message>
-    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_DESCRIPTION">Allow to delete an event</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_DESCRIPTION">Allow to delete any event</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_OWNED_EVENT_DESCRIPTION">Allow to delete owned events only</message>
     
     <message key="PLUGINS_EXPLORER_RIGHTS_THREADS_CATEGORY">Threads</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_THREADS_ADD_THREAD_LABEL">Create a thread</message>
Index: main/plugin-explorer/plugin.xml
===================================================================
--- main/plugin-explorer/plugin.xml	(revision 31097)
+++ main/plugin-explorer/plugin.xml	(working copy)
@@ -402,6 +402,14 @@
                     <category>PLUGINS_EXPLORER_RIGHTS_EXPLORER_CATEGORY_CALENDAR</category>
                 </right>
             </extension>
+            <extension point="org.ametys.runtime.plugins.core.right.RightsExtensionPoint"
+                       id="explorer.rights.owned.event.delete">
+                <right id="Plugin_Explorer_Owned_Event_Delete">
+                    <label>PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_OWNED_EVENT_LABEL</label>
+                    <description>PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_OWNED_EVENT_DESCRIPTION</description>
+                    <category>PLUGINS_EXPLORER_RIGHTS_EXPLORER_CATEGORY_CALENDAR</category>
+                </right>
+            </extension>
         </extensions>
     </feature>
     <feature name="explorer.threads.rights">
Index: main/plugin-explorer/i18n/messages_fr.xml
===================================================================
--- main/plugin-explorer/i18n/messages_fr.xml	(revision 31097)
+++ main/plugin-explorer/i18n/messages_fr.xml	(working copy)
@@ -50,10 +50,12 @@
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_CALENDAR_DESCRIPTION">Autorise à supprimer un calendrier</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_ADD_EVENT_LABEL">Ajouter un événement</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_EDIT_EVENT_LABEL">Modifier un événement</message>
-    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_LABEL">Supprimer un événement</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_LABEL">Supprimer n'importe quel événement</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_OWNED_EVENT_LABEL">Supprimer ses événements uniquement</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_ADD_EVENT_DESCRIPTION">Autorise à ajouter un événement</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_EDIT_EVENT_DESCRIPTION">Autorise à modifier un événement</message>
-    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_DESCRIPTION">Autorise à supprimer un événement</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_EVENT_DESCRIPTION">Autorise à supprimer n'importe quel évènement événement</message>
+    <message key="PLUGINS_EXPLORER_RIGHTS_EXPLORER_DELETE_OWNED_EVENT_DESCRIPTION">Autorise à supprimer ses événements uniquement</message>
 	
     <message key="PLUGINS_EXPLORER_RIGHTS_THREADS_CATEGORY">Fils de discussion</message>
     <message key="PLUGINS_EXPLORER_RIGHTS_THREADS_ADD_THREAD_LABEL">Créer un fil de discussion</message>
@@ -148,7 +150,7 @@
     <message key="PLUGINS_EXPLORER_CALENDAR_GROUP_EVENT_LABEL">Evènement</message> 
     
     <message key="PLUGINS_EXPLORER_CALENDAR_NEW_CALENDAR_DESC">Créer un nouveau calendrier</message>
-    <message key="PLUGINS_EXPLORER_CALENDAR_NEW_EVENT_DESC">Créer un nouvel événement au calendrier</message>
+    <message key="PLUGINS_EXPLORER_CALENDAR_NEW_EVENT_DESC">Ajouter un nouvel événement au calendrier</message>
     <message key="PLUGINS_EXPLORER_CALENDAR_EDIT_CALENDAR_DESC">Modifier le calendrier sélectionné</message>
     <message key="PLUGINS_EXPLORER_CALENDAR_EDIT_EVENT_DESC">Modifier l'événement sélectionné</message>
     <message key="PLUGINS_EXPLORER_CALENDAR_DELETE_CALENDAR_DESC">Supprimer le calendrier sélectionné</message>
Index: main/plugin-explorer/resources/js/org/ametys/explorer/applications/calendar/CalendarApplication.i18n.js
===================================================================
--- main/plugin-explorer/resources/js/org/ametys/explorer/applications/calendar/CalendarApplication.i18n.js	(revision 31097)
+++ main/plugin-explorer/resources/js/org/ametys/explorer/applications/calendar/CalendarApplication.i18n.js	(working copy)
@@ -822,6 +822,7 @@
 			    			   )
 			    		   },
 			    		   rightId: 'Plugin_Explorer_Event_Delete',
+			    		   deleteOwnedEventRightId: 'Plugin_Explorer_Owned_Event_Delete', 
 			    		   disabled: true
 			    	   }
 			       ]
@@ -1127,7 +1128,8 @@
 	btn.setDisabled (calendar == null || (!isModifiable || !canCreateChild) || !this._hasRight (rights, btn.rightId));
 	
 	var notEditable = false;
-	if (events != null)
+	var creator = null;
+	if (events != null &amp;&amp; events.length > 0)
 	{
 		for (var i=0; i &lt; events.length; i++)
 		{
@@ -1136,15 +1138,17 @@
 				notEditable = true;
 			}
 		}
+		
+		// creator is used for event deletion which is only allowed one at a time
+		creator = events[0].node.children[6].getAttribute("login");
 	}
 	
 	this._handleWorkflowEventToolbar(calendar, events, isRightsPanelActive, notEditable);
-	
 	btn = Ext.getCmp(this._appPrefix + 'toolbar-btn-event-delete');
-	btn.setDisabled (events == null || events.length == 0 || notEditable || !this._hasRight (rights, btn.rightId) || isRightsPanelActive);
+	btn.setDisabled (events == null || events.length == 0 || notEditable || !(this._hasRight (rights, btn.rightId) || this._hasRight(rights, btn.deleteOwnedEventRightId) &amp;&amp; creator == context.currentUser) || isRightsPanelActive);
 
 	btn = Ext.getCmp(this._appPrefix + 'toolbar-btn-view-day');
-	btn.setDisabled (calendar == null || isRightsPanelActive);
+	btn.setDisabled (calendar == null || isRightsPanelActive); 
 	
 	btn = Ext.getCmp(this._appPrefix + 'toolbar-btn-view-week');
 	btn.setDisabled (calendar == null || isRightsPanelActive);